/*
 * callbacks.h
 * Copyright (C) 2003 footprints <footprints at lycos dot it>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#include <gnome.h>

void add_my_interface (GtkWidget *widget);


void
on_item_eth0_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_item_eth1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_item_ppp0_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_item_ppp1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_item_lo_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_gpppoem_delete_event                (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_item_about_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_item_close_activate                 (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_item_connect_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_item_disconnect_activate            (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_item_monitor_activate               (GtkMenuItem     *menuitem,
                                        gpointer         user_data);
